<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::VertexData Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#b6b77b33c4bcf093caeafcace30dcdac">allocateHardwareAnimationElements</a>(ushort count)</td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#a9b3c23ff04ac1c5b865952e71091f57">clone</a>(bool copyData=true) const </td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#155a22e5f5cf3cc46c8890a81383ee19">closeGapsInBindings</a>(void)</td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#0f6c57d776f87c08bb6fd6515f26270e">convertPackedColour</a>(VertexElementType srcType, VertexElementType destType)</td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#9b0be9ce516c0b04e3565317e6186b15">HardwareAnimationDataList</a> typedef</td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#154124cc2848e3eae62e9d508f45e921">hardwareShadowVolWBuffer</a></td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#43acb3f735c2d4bdfdfbfdebc26dc52e">hwAnimationDataList</a></td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#f24c57003d9fa3d717ca16e7f5becb41">hwAnimDataItemsUsed</a></td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#e1bb626aef6af169178ee9f7165aaed0">operator=</a>(const VertexData &amp;rhs)</td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#35751c0e63acf6def8a1cf101abd1b28">prepareForShadowVolume</a>(void)</td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#9c8caba4952eb43bced5051c3e3bff1f">removeUnusedBuffers</a>(void)</td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#a5bf979b80f8bf95d76b7b8c34ac6fce">reorganiseBuffers</a>(VertexDeclaration *newDeclaration, const BufferUsageList &amp;bufferUsage)</td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#e13af5e9218486c94afabdb4598457cf">reorganiseBuffers</a>(VertexDeclaration *newDeclaration)</td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#1cf7dacb2a133d71620abd59cb3180b0">vertexBufferBinding</a></td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#0b59b63cc2dbede1c5fc6a932fd2c10d">vertexCount</a></td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#c27bb140d24d66d1f6051f47a8bb5860">VertexData</a>(const VertexData &amp;rhs)</td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#04f0100a0973983fb318cb462bfaa206">VertexData</a>()</td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#bac9cde9c001b97cf1fea7fd05b79cf4">vertexDeclaration</a></td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#a3dca90128a99a8cdcd68201ad2c2f93">vertexStart</a></td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#cb2f442725d39e33a39f4d07f317fdc0">~VertexData</a>()</td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:55:09 2008
</p>
</body>
</html>
